Apply by doing:
	cd /usr/src
	patch -p0 < 004_httpd.patch

And then rebuild and install httpd and its modules:
	cd usr.sbin/httpd
	make -f Makefile.bsd-wrapper obj
	make -f Makefile.bsd-wrapper cleandir
	make -f Makefile.bsd-wrapper depend
	make -f Makefile.bsd-wrapper
	make -f Makefile.bsd-wrapper install

If httpd had been started, you might want to run
	apachectl stop
before running "make install", and
	apachectl start
afterwards.

Index: usr.sbin/httpd/src/ap/ap_hook.c
===================================================================
RCS file: /cvs/src/usr.sbin/httpd/src/ap/ap_hook.c,v
retrieving revision 1.6
retrieving revision 1.6.14.1
diff -u -p -r1.6 -r1.6.14.1
--- usr.sbin/httpd/src/ap/ap_hook.c	15 Jun 2005 00:00:09 -0000	1.6
+++ usr.sbin/httpd/src/ap/ap_hook.c	6 Nov 2008 10:06:50 -0000	1.6.14.1
@@ -740,6 +740,16 @@ static int ap_hook_call_func(va_list ap,
 		*((int *)v_rc) = ((int(*)(void *, void *, void *, void *, int))(hf->hf_ptr))(v1, v2, v3, v4, v5);
 		rc = (*((int *)v_rc) != he->he_modeval.v_int);
 	}
+	else if (he->he_sig == AP_HOOK_SIG6(int, ptr, ptr, ptr, ptr, ptr)) {
+		/* Call: int func(ptr,ptr,ptr,ptr,ptr) */
+		void *v1 = va_arg(ap, va_type(ptr));
+		void *v2 = va_arg(ap, va_type(ptr));
+		void *v3 = va_arg(ap, va_type(ptr));
+		void *v4 = va_arg(ap, va_type(ptr));
+		void *v5 = va_arg(ap, va_type(ptr));
+		*((int *)v_rc) = ((int(*)(void *, void *, void *, void *, void *))(hf->hf_ptr))(v1, v2, v3, v4, v5);
+		rc = (*((int *)v_rc) != he->he_modeval.v_int);
+	}
 	else if (he->he_sig == AP_HOOK_SIG7(int, ptr, ptr, ptr, ptr, int, ptr)) {
 		/* Call: int func(ptr,ptr,ptr,ptr,int,ptr) */
 		void *v1 = va_arg(ap, va_type(ptr));
Index: usr.sbin/httpd/src/modules/proxy/proxy_http.c
===================================================================
RCS file: /cvs/src/usr.sbin/httpd/src/modules/proxy/proxy_http.c,v
retrieving revision 1.19
retrieving revision 1.19.2.1
diff -u -p -r1.19 -r1.19.2.1
--- usr.sbin/httpd/src/modules/proxy/proxy_http.c	4 Jul 2008 14:39:37 -0000	1.19
+++ usr.sbin/httpd/src/modules/proxy/proxy_http.c	6 Nov 2008 10:06:50 -0000	1.19.2.1
@@ -363,7 +363,7 @@ int ap_proxy_http_handler(request_rec *r
     {
 	int rc = DECLINED;
 	ap_hook_use("ap::mod_proxy::http::handler::write_host_header", 
-		    AP_HOOK_SIG6(ptr,ptr,ptr,ptr,ptr,ptr), 
+		    AP_HOOK_SIG6(int,ptr,ptr,ptr,ptr,ptr), 
 		    AP_HOOK_DECLINE(DECLINED),
 		    &rc, r, f, desthost, destportstr, destportstr);
         if (rc == DECLINED) {
